import { client } from '$lib/sanity/client.js'
// import { getPostsQuery } from '$lib/queries.js'

// // Fetch all valid posts & authors to display in the homepage
// export async function load() {
//   const data = await client.fetch(/* groq */ `{
// 		"posts": ${getPostsQuery()},
//   }`)

//   if (data) {
//     return {
//       status: 200,
//       body: data
//     }
//   }

//   return {
//     status: 404
//   }
// }


export async function load({ params }) {
  const data = await client.fetch(`*[_type == "post"] {
    title,
    slug,
    coverImage {
      ...,
      asset->
    },
    body,
  }`);

  if (data) {
    return {
      posts: data
    };
  }
  return {
    status: 500,
    body: new Error("Internal Server Error")
  };
}